Bug 532534 - Review request: xml-im-exporter - XML Im-/Exporter
Review request: xml-im-exporter - XML Im-/Exporter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
: 252048 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-11-02 13:01 EST by Mary Ellen Foster
Modified: 2011-01-11 06:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-11 06:26:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-11-02 13:01:49 EST
Spec URL: http://www.macs.hw.ac.uk/~mef3/review/xml-im-exporter.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/review/xml-im-exporter-1.1-5.fc12.src.rpm
Description:
XML Im-/Exporter is a low level library to assist 
you in the straight forward process of importing 
and exporting XML from and to your Java classes. 
All of this is designed having performance and 
simplicity in mind.



This package was imported from JPackage
Comment 1 Jason Tibbitts 2009-11-02 15:48:12 EST
*** Bug 252048 has been marked as a duplicate of this bug. ***
Comment 2 Miroslav Suchý 2010-01-08 06:44:02 EST
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Java specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86
 [x] Rpmlint output: empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root
although FG prefer:
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     see comment [1]
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
md5sum xml-im-exporter1.1.tgz xml-im-exporter1.1.tgz.orig
d39a2857420754bb71cbec0e737c8a72  xml-im-exporter1.1.tgz
d39a2857420754bb71cbec0e737c8a72  xml-im-exporter1.1.tgz.orig
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [x] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [!] %check is present and the tests pass

Need to be fixed:
In spec is:
  License:        LGPLv2+
but according to Copying.txt and web site only version 1.0 is licensed under LGPL2.
Version 1.1 is licensed as BSD.

Optionaly (not needed for review)
- change buildroot
- fix tests
Comment 3 Miroslav Suchý 2010-03-08 07:20:30 EST
ping.
any progress with these package?
Comment 4 Miroslav Suchý 2010-04-26 13:46:01 EDT
ping.
any progress? or you lost interest in this package and I can close this review?
Comment 5 Mary Ellen Foster 2010-04-28 11:54:25 EDT
Hi -- sorry about the delay. :( I've changed the license and made a couple of other minor changes to the spec (clean up sourceforge URL, update buildroot, use macros for %{mavenpomdir}, add proper Requires to the javadoc package)

Here's the new stuff:
Spec URL: http://www.macs.hw.ac.uk/~mef3/review/xml-im-exporter.spec
SRPM URL:
http://www.macs.hw.ac.uk/~mef3/review/xml-im-exporter-1.1-6.fc12.src.rpm
Comment 6 Miroslav Suchý 2010-07-29 08:14:06 EDT
It took me some time to do review again too. Anyway:

================
*** APPROVED ***
================
Comment 7 Alexander Kurtakov 2011-01-11 06:26:07 EST
Closing the bug as dead.
Mary won't be able to finish it soon.

Note You need to log in before you can comment on or make changes to this bug.